notes on ghc-5.02.2. Reply

Ketil Z. Malde [email protected]
24 Jan 2002 15:52:16 +0100


"S.D.Mechveliani" <[email protected]> writes:

> To my notes on  ghc-5.02.2  Simon Marlow  writes

>> Do you have the readline-devel RPM installed?  This is needed to
>> compile GHC with readline support.

> I run ghc here on two machines. 
> And it appears now that both are under  Debian Linux. 
> Some people here say that this RPM does not go under Debian.

So the question becomes, do you have the libreadline-dev .deb installed?
:-)  If not, "apt-get install libreadline-dev", or something like that,
should do the trick.

> Maybe, GHC can take care of Debian?

GHC is in Debian, you probably want to use a cutting-edge release
(i.e. sid or at least woody) to be reasonably current.  I must admit I
never compiled GHC, I just "apt-get" it (or RPMfind it nowadays :-( )

-kzm
-- 
If I haven't seen further, it is by standing in the footprints of giants